## dash-el 2.10.0

=== debian/changelog ===
dash-el (2.10.0-1) unstable; urgency=low

  * Initial release (Closes: #770466)

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Fri, 21 Nov 2014 22:21:54 +0900

## dash-el 2.11.0

=== debian/changelog ===
dash-el (2.11.0-1) unstable; urgency=medium

  * new upstream release

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Sun, 12 Jul 2015 20:16:52 +0900

## dash-el 2.19.1+dfsg

=== Makefile ===
# Makefile for Dash.

# Copyright (C) 2021 Free Software Foundation, Inc.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Variables.

EMACS ?= emacs
batch := $(EMACS) -Q -batch -L .
els := dash.el dev/dash-defs.el
elcs := $(addsuffix c,$(els))
docs := README.md dash.texi
tmpls := readme-template.md dash-template.texi $(wildcard doc/*.texi)

# Targets.

lisp: $(elcs)
.PHONY: lisp

docs: $(docs)
.PHONY: docs

force-docs: maintainer-clean docs
.PHONY: force-docs

# ERT_SELECTOR is a Lisp expression determining which tests to run.
# Its format is described in (info "(ert) Test Selectors").  It
# defaults to selecting all tests.  Note that in batch mode, a nil
# selector is the same as t.
check: ERT_SELECTOR ?= t
check: run := '(ert-run-tests-batch-and-exit (quote $(ERT_SELECTOR)))'
check: lisp
	EMACS_TEST_VERBOSE= $(batch) -l dev/examples.el -eval $(run)
.PHONY: check

all: lisp docs check
.PHONY: all

force-all: maintainer-clean lisp docs check
.PHONY: force-all

clean:
	$(RM) $(elcs)
.PHONY: clean

maintainer-clean: ver := 26
maintainer-clean: msg := Doc regeneration requires $(ver)+
maintainer-clean: clean
	$(batch) -eval '(if (< emacs-major-version $(ver)) (error "$(msg)"))'
	$(RM) $(docs)
.PHONY: maintainer-clean

# Files.

%.elc: WERROR := '(setq byte-compile-error-on-warn t)'
%.elc: %.el
	$(batch) -eval $(WERROR) -f batch-byte-compile $<

$(docs) &: dev/examples.el $(elcs) $(tmpls)
	$(batch) -l $< -f dash-make-docs

## dash-el 2.12.1

=== debian/changelog ===
dash-el (2.12.1-1) unstable; urgency=medium

  * new upstream release

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Wed, 13 Jan 2016 11:19:26 +0900

=== debian/control ===
Source: dash-el
Section: lisp
Priority: extra
Maintainer: Hajime Mizuno <mizuno-as@ubuntu.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/magnars/dash.el
#Vcs-Git: git://git.debian.org/collab-maint/dash-el.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/dash-el.git;a=summary

Package: dash-el
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8), emacs
Description: Modern list manipulation library for Emacs
 dash.el is API library to manipulate a list by Emacs Lisp.
 This library offers very common feature in other programming languages
 (e.g. map, slice, copy, concat, replace, reduce, union etc) without
 require a 'cl'.

=== debian/watch ===
version=3
https://github.com/magnars/dash.el/releases /magnars/dash.el/archive/(.+)\.tar\.gz

## dash-el 2.13.0

=== debian/changelog ===
dash-el (2.13.0-1.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 23 Jan 2017 18:47:59 -0700

dash-el (2.13.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop 'emacs' dependency (Closes: #848722).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Jan 2017 11:55:30 -0700

dash-el (2.13.0-1) unstable; urgency=medium

  * new upstream release
  * debian/control
    - set Standards-Version: 3.9.8.

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Sat, 20 Aug 2016 21:45:15 +0900

## dash-el 2.13.0+dfsg

=== debian/changelog ===
dash-el (2.13.0+dfsg-2) unstable; urgency=medium

  * Add d/dash-el.maintscript to remove obsolete 50dash-el.el site start script.
  * Add copyright stanza for *.info and *.texi files (Closes: #856125).
    Thanks to Chris Lamb for catching this.
  * Add additional copyright years for the FSF (files in dev/).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 18 Jun 2017 21:28:34 +0100

dash-el (2.13.0+dfsg-1) experimental; urgency=medium

  [ Rémi Vanicat & Sean Whitton ]
  * Convert package build to use dh_elpa (Closes: #850056, #815303).
    Binary package renamed dash-el -> elpa-dash with transitional binary
    package provided.
    - Rewrite d/rules.
    - Drop d/emacsen-*.
    - Drop d/install.
    - Add d/elpa-test.
    - Add d/elpa-dash.elpa.
  * Split dash-functional.el into its own source package, dash-functional-el.
    dash.el and dash-functional.el have different ELPA package version.

  [ Rémi Vanicat ]
  * Add d/elpa-dash.info to install upstream's info file.

  [ Sean Whitton ]
  * Adopt on behalf of the pkg-emacsen team.
    - Move Hajime Mizuno to Uploaders.
    - Add myself as an uploader.
  * Repack source to remove rainbow-dash.png.
    Copyright status unknown.
    - Add Files-Excluded field to d/copyright.
    - Add dversionmangle to d/watch.
  * d/copyright updates:
    - Add Rémi Vanicat and Sean Whitton to stanza for debian/.
    - Correct upstream's copyright Magnar Sveen -> FSF (see file headers).
  * Bump debhelper compat & build-dep to 10.
  * Uncomment & update Vcs-* fields.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Feb 2017 16:48:23 -0700

=== debian/control ===
Source: dash-el
Section: lisp
Priority: extra
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Hajime Mizuno <mizuno-as@ubuntu.com>, Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 10), dh-elpa
Standards-Version: 3.9.8
Homepage: https://github.com/magnars/dash.el
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/dash-el.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/dash-el.git/

Package: dash-el
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, elpa-dash, elpa-dash-functional
Built-Using: ${misc:Built-Using}
Description: transitional dummy package for elpa-dash
 This transitional package is safe to remove.

Package: elpa-dash
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}, emacsen-common (>= 2.0.8)
Replaces: dash-el (<< 2.13.0+dfsg-1)
Breaks: dash-el (<< 2.13.0+dfsg-1)
Provides: dash-el
Built-Using: ${misc:Built-Using}
Description: Modern list manipulation library for Emacs
 dash.el is API library to manipulate a list by Emacs Lisp.
 This library offers very common feature in other programming languages
 (e.g. map, slice, copy, concat, replace, reduce, union etc) without
 require a 'cl'.

## dash-el 2.14.1+dfsg

=== debian/changelog ===
dash-el (2.14.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Priority extra->optional.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 21 Apr 2018 11:24:55 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: dash-el
 Section: lisp
-Priority: extra
+Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Hajime Mizuno <mizuno-as@ubuntu.com>, Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 10), dh-elpa
 Standards-Version: 3.9.8
 Homepage: https://github.com/magnars/dash.el
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/dash-el.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/dash-el.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/dash-el.git/
+Vcs-Browser: https://salsa.debian.org/emacsen-team/dash-el
 
 Package: dash-el
 Section: oldlibs

## dash-el 2.16.0+dfsg

=== debian/changelog ===
dash-el (2.16.0+dfsg-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release.

  [ Nicholas D Steeves ]
  * Update Maintainer team name and email address.
  * Lowercase short Description.
  * Declare Standards-Version: 4.1.4.
    - debian/copyright: Use secure URL.
  * Drop trailing slash from Vcs link.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 08 Jul 2019 16:18:35 +0100

## dash-el 2.17.0+dfsg

=== debian/changelog ===
dash-el (2.17.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Feb 2020 19:50:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dash-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Hajime Mizuno <mizuno-as@ubuntu.com>, Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/magnars/dash.el
-Vcs-Git: https://salsa.debian.org/emacsen-team/dash-el.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/dash-el.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/dash-el
 
 Package: dash-el
@@ -24,7 +24,7 @@
 Breaks: dash-el (<< 2.13.0+dfsg-1)
 Provides: dash-el
 Built-Using: ${misc:Built-Using}
-Description: Modern list manipulation library for Emacs
+Description: modern list manipulation library for Emacs
  dash.el is API library to manipulate a list by Emacs Lisp.
  This library offers very common feature in other programming languages
  (e.g. map, slice, copy, concat, replace, reduce, union etc) without

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//" https://github.com/magnars/dash.el/releases /magnars/dash.el/archive/(.+)\.tar\.gz

## dash-el 2.19.1%2Bdfsg

=== debian/changelog ===
dash-el (2.19.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop d/copyright stanza regarding the docs which we now exclude.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 20 Oct 2021 10:09:21 -0700

dash-el (2.19.0+dfsg-2) unstable; urgency=medium

  * Drop Provides: elpa-dash-functional (Closes: #996719).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Oct 2021 12:37:07 -0700

dash-el (2.19.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add *.texi and doc/* to Files-Excluded & stop installing the manual.
    The manual is now GNU FDL with an invariant section.
  * Add 2021 to copyright years.
  * Stop building dash-el transitional pkg, and drop Replaces/Breaks/Provides.
    - Rename d/elpa-dash.elpa -> d/elpa.
  * Drop unused Built-Using field.
  * Add "Provides: elpa-dash-functional".
    See <https://github.com/magnars/dash.el/wiki/Obsoletion-of-dash-functional.el>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 17 Aug 2021 13:48:27 -0700

## dash-el 2.19.1+dfsg

=== debian/control ===
Source: dash-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Hajime Mizuno <mizuno-as@ubuntu.com>, Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 10), dh-elpa
Standards-Version: 4.1.4
Homepage: https://github.com/magnars/dash.el
Vcs-Git: https://salsa.debian.org/emacsen-team/dash-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/dash-el

Package: elpa-dash
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}, emacsen-common (>= 2.0.8)
Description: modern list manipulation library for Emacs
 dash.el is API library to manipulate a list by Emacs Lisp.
 This library offers very common feature in other programming languages
 (e.g. map, slice, copy, concat, replace, reduce, union etc) without
 require a 'cl'.

## dash-el 2.19.1+git20220608.1.0ac1ecf+dfsg

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 EMACS ?= emacs
 batch := $(EMACS) -Q -batch -L .
-els := dash.el dev/dash-defs.el
+els := dash.el dev/dash-defs.el dev/examples.el
 elcs := $(addsuffix c,$(els))
 docs := README.md dash.texi
 tmpls := readme-template.md dash-template.texi $(wildcard doc/*.texi)
@@ -42,7 +42,7 @@
 check: ERT_SELECTOR ?= t
 check: run := '(ert-run-tests-batch-and-exit (quote $(ERT_SELECTOR)))'
 check: lisp
-	EMACS_TEST_VERBOSE= $(batch) -l dev/examples.el -eval $(run)
+	EMACS_TEST_VERBOSE=1 $(batch) -l dev/examples -eval $(run)
 .PHONY: check
 
 all: lisp docs check
@@ -68,5 +68,8 @@
 %.elc: %.el
 	$(batch) -eval $(WERROR) -f batch-byte-compile $<
 
-$(docs) &: dev/examples.el $(elcs) $(tmpls)
-	$(batch) -l $< -f dash-make-docs
+$(docs) &: $(elcs) $(tmpls)
+	$(batch) -l dev/examples -f dash-make-docs
+
+dev/dash-defs.elc: dash.elc
+dev/examples.elc: dash.elc dev/dash-defs.elc

=== debian/changelog ===
dash-el (2.19.1+git20220608.1.0ac1ecf+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:54:30 +0900

dash-el (2.19.1+git20220608.1.0ac1ecf+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:40:52 +0900

dash-el (2.19.1+git20220608.1.0ac1ecf+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1020038).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 20 Sep 2022 13:56:45 -0700

## dash-el 2.19.1+git20240510.1de9dcb+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for Dash.
 
-# Copyright (C) 2021 Free Software Foundation, Inc.
+# Copyright (C) 2021-2024 Free Software Foundation, Inc.
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
dash-el (2.19.1+git20240510.1de9dcb+dfsg-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (1de9dcb).
  * Fix d/watch with substitute strings to be more robust (Closes:
    #1042559).
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Update standards version to 4.7.0, no changes needed.
  * Drop explicit dependency on emacsen-common in d/control
    - Should be covered by ${elpa:Depends}.
    - Version also satisfied since Bullseye.
  * Mark "Rules-Requires-Root: no" in d/control
  * Add myself to Uploaders
  * Add Upstream-Contact in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 17 Nov 2024 20:56:58 -0800

=== debian/control ===
Source: dash-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Hajime Mizuno <mizuno-as@ubuntu.com>,
 Sean Whitton <spwhitton@spwhitton.name>,
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.7.0
Homepage: https://github.com/magnars/dash.el
Vcs-Git: https://salsa.debian.org/emacsen-team/dash-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/dash-el
Rules-Requires-Root: no

Package: elpa-dash
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Description: modern list manipulation library for Emacs
 dash.el is API library to manipulate a list by Emacs Lisp.
 This library offers very common feature in other programming languages
 (e.g. map, slice, copy, concat, replace, reduce, union etc) without
 require a 'cl'.

=== debian/watch ===
version=4
opts="dversionmangle=auto,filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/magnars/dash.el/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@

## dash-el 2.20.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Sean Whitton <spwhitton@spwhitton.name>,
  Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13), dh-elpa
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/magnars/dash.el
 Vcs-Git: https://salsa.debian.org/emacsen-team/dash-el.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/dash-el
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-dash
 Architecture: all

=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg" \
    https://github.com/magnars/dash.el/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@

## dash-el 2.20.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for Dash.
 
-# Copyright (C) 2021-2024 Free Software Foundation, Inc.
+# Copyright (C) 2021-2025 Free Software Foundation, Inc.
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
dash-el (2.20.0+dfsg-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:42:20 +0000

dash-el (2.20.0+dfsg-1) unstable; urgency=medium

  * Add d/gbp.conf matching the current practice
  * Enable autopkgtest
  * Enable autopkgtest-pkg-elpa in d/control for faster migration

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 16 Mar 2025 23:18:41 -0700

dash-el (2.20.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release
  * Add d/salsa-ci.yml with default template
  * Use repacksuffix to mark generated tarball as dfsg in d/watch
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 15 Mar 2025 21:13:19 -0700
